#import <Foundation/Foundation.h>

@interface MIDI : NSObject {
	char *inData;
	int inLength, pos;
	NSString *outFile;
	NSMutableData *track, *contents;
	NSString *lastChord;
	int DELTA, deltaDivide;
	int stepOffset, lastOffset;
	int volume, lastVolume;
}

- initWithIn:(NSString *)inFile out:(NSString *)outFile;

- (void) writeFile;
- (void) buildTrack;
- (void) writeVarTime:(int)value;
- (void) writeChord:(NSString *)chord atDelta:(int)delta;
- (void) closeLastChord:(int)delta;
- (void) appendNote:(int)note state:(BOOL)on;

@end
